Bug 866395 - boot script hangs at password prompt after kernel update
boot script hangs at password prompt after kernel update
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
17
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-15 05:30 EDT by Olivier
Modified: 2012-11-20 06:58 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-20 06:58:31 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Olivier 2012-10-15 05:30:35 EDT
Description of problem:
I've been using the 3.3.4-5.fc17.x86_64 kernel since the occurrence of bug #834245 pertaining to Intel BIOS RAID. When I try to switch to 3.6.1-1.fc17.x86_64, I have the following error at the 'password' prompt (my RAID1 drives are encrypted), and the boot process stops:

udevd [241] inotify_add_watch /dev/sda1, 10 : failed, no such file or directory

Reverting to 3.3.4-5.fc17.x86_64 solves the problem.

Version-Release number of selected component (if applicable):
3.6.1-1.fc17.x86_64

How reproducible:
always

Steps to Reproduce:
1. Fresh install of Fedora 17 3.3.4-5.fc17.x86_64 onto encrypted Intel BIOS RAID1 drives
2. update to latest kernel 3.6.1-1.fc17.x86_6
  
Actual results:
error during boot time at password prompt - user not able to enter password - boot process hangs
Comment 1 Jes Sorensen 2012-10-15 09:20:25 EDT
Could you please provide /proc/mdstat from a correctly booted system?

We also need systemd and dracut version info please.

Thanks,
Jes
Comment 2 Olivier 2012-10-15 11:53:37 EDT
dracut.noarch     018-105.git20120927.fc17 
systemd.x86_64    44-17.fc17

# cat /proc/mdstat
Personalities : [raid1] 
md126 : active raid1 sda[1] sdb[0]
      976759808 blocks super external:/md127/0 [2/2] [UU]
      [=>...................]  resync =  6.4% (62907648/976759940) finish=14290.4min speed=1065K/sec
      
md127 : inactive sdb[1](S) sda[0](S)
      5288 blocks super external:imsm
       
unused devices: <none>
Comment 3 Jes Sorensen 2012-10-17 05:52:20 EDT
Olivier,

One more question, since this is IMSM RAID, could you check that mdmon
is launched correctly, ie. it should show up in the process list as @dmon.

ps aux | grep mon

Thanks,
Jes
Comment 4 Olivier 2012-10-17 06:30:18 EDT
Hi Jes,

Here you are:

# ps aux | grep @dmon
root       331  0.0  0.1  14992 10892 ?        SLsl 08:39   0:00 @dmon --offroot md127

Cheers,

Olivier.
Comment 5 Olivier 2012-11-20 06:58:31 EST
Tried Kernel 3.6.6 : all is fine now. You can close this bug.

Many thanks,

Olivier

Note You need to log in before you can comment on or make changes to this bug.